# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'adtc_UI.ui'
#
# Created: Tue Nov 20 11:08:47 2018
#      by: PyQt4 UI code generator 4.11.1
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)

class Ui_ADTC_window(object):
    def setupUi(self, ADTC_window):
        ADTC_window.setObjectName(_fromUtf8("ADTC_window"))
        ADTC_window.resize(872, 850)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/logo_adethec_128.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        ADTC_window.setWindowIcon(icon)
        ADTC_window.setDocumentMode(False)
        self.centralwidget = QtGui.QWidget(ADTC_window)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.centralwidget.sizePolicy().hasHeightForWidth())
        self.centralwidget.setSizePolicy(sizePolicy)
        self.centralwidget.setObjectName(_fromUtf8("centralwidget"))
        self.verticalLayout_3 = QtGui.QVBoxLayout(self.centralwidget)
        self.verticalLayout_3.setObjectName(_fromUtf8("verticalLayout_3"))
        self.splitter = QtGui.QSplitter(self.centralwidget)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.splitter.sizePolicy().hasHeightForWidth())
        self.splitter.setSizePolicy(sizePolicy)
        self.splitter.setOrientation(QtCore.Qt.Vertical)
        self.splitter.setObjectName(_fromUtf8("splitter"))
        self.widget_2 = QtGui.QWidget(self.splitter)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.widget_2.sizePolicy().hasHeightForWidth())
        self.widget_2.setSizePolicy(sizePolicy)
        self.widget_2.setObjectName(_fromUtf8("widget_2"))
        self.verticalLayout_4 = QtGui.QVBoxLayout(self.widget_2)
        self.verticalLayout_4.setMargin(0)
        self.verticalLayout_4.setObjectName(_fromUtf8("verticalLayout_4"))
        self.tabWidget = QtGui.QTabWidget(self.widget_2)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.tabWidget.sizePolicy().hasHeightForWidth())
        self.tabWidget.setSizePolicy(sizePolicy)
        self.tabWidget.setObjectName(_fromUtf8("tabWidget"))
        self.plot_parameters = QtGui.QWidget()
        self.plot_parameters.setObjectName(_fromUtf8("plot_parameters"))
        self.horizontalLayout = QtGui.QHBoxLayout(self.plot_parameters)
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        self.gridLayout = QtGui.QGridLayout()
        self.gridLayout.setObjectName(_fromUtf8("gridLayout"))
        self.plot_type_1 = QtGui.QComboBox(self.plot_parameters)
        self.plot_type_1.setObjectName(_fromUtf8("plot_type_1"))
        self.plot_type_1.addItem(_fromUtf8(""))
        self.plot_type_1.addItem(_fromUtf8(""))
        self.plot_type_1.addItem(_fromUtf8(""))
        self.plot_type_1.addItem(_fromUtf8(""))
        self.plot_type_1.addItem(_fromUtf8(""))
        self.plot_type_1.addItem(_fromUtf8(""))
        self.gridLayout.addWidget(self.plot_type_1, 0, 1, 1, 1)
        self.checkbox_substract_blank = QtGui.QCheckBox(self.plot_parameters)
        self.checkbox_substract_blank.setObjectName(_fromUtf8("checkbox_substract_blank"))
        self.gridLayout.addWidget(self.checkbox_substract_blank, 2, 0, 1, 4)
        self.checkbox_plot_blank = QtGui.QCheckBox(self.plot_parameters)
        self.checkbox_plot_blank.setObjectName(_fromUtf8("checkbox_plot_blank"))
        self.gridLayout.addWidget(self.checkbox_plot_blank, 3, 0, 1, 4)
        self.label_5 = QtGui.QLabel(self.plot_parameters)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_5.sizePolicy().hasHeightForWidth())
        self.label_5.setSizePolicy(sizePolicy)
        self.label_5.setObjectName(_fromUtf8("label_5"))
        self.gridLayout.addWidget(self.label_5, 4, 0, 1, 1)
        self.plot_abscissa = QtGui.QComboBox(self.plot_parameters)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.plot_abscissa.sizePolicy().hasHeightForWidth())
        self.plot_abscissa.setSizePolicy(sizePolicy)
        self.plot_abscissa.setObjectName(_fromUtf8("plot_abscissa"))
        self.plot_abscissa.addItem(_fromUtf8(""))
        self.plot_abscissa.addItem(_fromUtf8(""))
        self.plot_abscissa.addItem(_fromUtf8(""))
        self.plot_abscissa.addItem(_fromUtf8(""))
        self.gridLayout.addWidget(self.plot_abscissa, 4, 1, 1, 1)
        self.label_4 = QtGui.QLabel(self.plot_parameters)
        self.label_4.setObjectName(_fromUtf8("label_4"))
        self.gridLayout.addWidget(self.label_4, 1, 0, 1, 1)
        self.plot_type_2 = QtGui.QComboBox(self.plot_parameters)
        self.plot_type_2.setObjectName(_fromUtf8("plot_type_2"))
        self.plot_type_2.addItem(_fromUtf8(""))
        self.plot_type_2.addItem(_fromUtf8(""))
        self.plot_type_2.addItem(_fromUtf8(""))
        self.plot_type_2.addItem(_fromUtf8(""))
        self.plot_type_2.addItem(_fromUtf8(""))
        self.plot_type_2.addItem(_fromUtf8(""))
        self.plot_type_2.addItem(_fromUtf8(""))
        self.gridLayout.addWidget(self.plot_type_2, 1, 1, 1, 1)
        self.label_3 = QtGui.QLabel(self.plot_parameters)
        self.label_3.setObjectName(_fromUtf8("label_3"))
        self.gridLayout.addWidget(self.label_3, 0, 0, 1, 1)
        spacerItem = QtGui.QSpacerItem(20, 40, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
        self.gridLayout.addItem(spacerItem, 7, 1, 1, 1)
        self.checkbox_smoothing = QtGui.QCheckBox(self.plot_parameters)
        self.checkbox_smoothing.setObjectName(_fromUtf8("checkbox_smoothing"))
        self.gridLayout.addWidget(self.checkbox_smoothing, 5, 0, 1, 1)
        self.spinbox_smoothing = QtGui.QSpinBox(self.plot_parameters)
        self.spinbox_smoothing.setEnabled(False)
        self.spinbox_smoothing.setReadOnly(False)
        self.spinbox_smoothing.setMinimum(1)
        self.spinbox_smoothing.setMaximum(1000)
        self.spinbox_smoothing.setProperty("value", 5)
        self.spinbox_smoothing.setObjectName(_fromUtf8("spinbox_smoothing"))
        self.gridLayout.addWidget(self.spinbox_smoothing, 5, 1, 1, 1)
        self.label_6 = QtGui.QLabel(self.plot_parameters)
        self.label_6.setEnabled(False)
        self.label_6.setObjectName(_fromUtf8("label_6"))
        self.gridLayout.addWidget(self.label_6, 5, 2, 1, 1)
        spacerItem1 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem1, 7, 2, 1, 1)
        self.checkBox_mm0_scaled = QtGui.QCheckBox(self.plot_parameters)
        self.checkBox_mm0_scaled.setObjectName(_fromUtf8("checkBox_mm0_scaled"))
        self.gridLayout.addWidget(self.checkBox_mm0_scaled, 6, 0, 1, 1)
        self.line_scaling_min = QtGui.QLineEdit(self.plot_parameters)
        self.line_scaling_min.setEnabled(False)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.line_scaling_min.sizePolicy().hasHeightForWidth())
        self.line_scaling_min.setSizePolicy(sizePolicy)
        self.line_scaling_min.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.line_scaling_min.setObjectName(_fromUtf8("line_scaling_min"))
        self.gridLayout.addWidget(self.line_scaling_min, 6, 1, 1, 1)
        self.label_30 = QtGui.QLabel(self.plot_parameters)
        self.label_30.setEnabled(False)
        self.label_30.setObjectName(_fromUtf8("label_30"))
        self.gridLayout.addWidget(self.label_30, 6, 2, 1, 1)
        self.horizontalLayout.addLayout(self.gridLayout)
        self.tabWidget.addTab(self.plot_parameters, _fromUtf8(""))
        self.dsc_integration = QtGui.QWidget()
        self.dsc_integration.setObjectName(_fromUtf8("dsc_integration"))
        self.gridLayout_3 = QtGui.QGridLayout(self.dsc_integration)
        self.gridLayout_3.setObjectName(_fromUtf8("gridLayout_3"))
        self.gridLayout_2 = QtGui.QGridLayout()
        self.gridLayout_2.setObjectName(_fromUtf8("gridLayout_2"))
        self.label_7 = QtGui.QLabel(self.dsc_integration)
        self.label_7.setObjectName(_fromUtf8("label_7"))
        self.gridLayout_2.addWidget(self.label_7, 0, 0, 1, 1)
        self.slider_spline_min = QtGui.QSlider(self.dsc_integration)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.slider_spline_min.sizePolicy().hasHeightForWidth())
        self.slider_spline_min.setSizePolicy(sizePolicy)
        self.slider_spline_min.setMaximum(1500)
        self.slider_spline_min.setProperty("value", 400)
        self.slider_spline_min.setOrientation(QtCore.Qt.Horizontal)
        self.slider_spline_min.setObjectName(_fromUtf8("slider_spline_min"))
        self.gridLayout_2.addWidget(self.slider_spline_min, 0, 1, 1, 1)
        self.spinbox_spline_min = QtGui.QSpinBox(self.dsc_integration)
        self.spinbox_spline_min.setMinimum(-200)
        self.spinbox_spline_min.setMaximum(2000)
        self.spinbox_spline_min.setProperty("value", 400)
        self.spinbox_spline_min.setObjectName(_fromUtf8("spinbox_spline_min"))
        self.gridLayout_2.addWidget(self.spinbox_spline_min, 0, 2, 1, 1)
        self.label_8 = QtGui.QLabel(self.dsc_integration)
        self.label_8.setObjectName(_fromUtf8("label_8"))
        self.gridLayout_2.addWidget(self.label_8, 1, 0, 1, 1)
        self.label_9 = QtGui.QLabel(self.dsc_integration)
        self.label_9.setObjectName(_fromUtf8("label_9"))
        self.gridLayout_2.addWidget(self.label_9, 2, 0, 1, 1)
        self.label_10 = QtGui.QLabel(self.dsc_integration)
        self.label_10.setObjectName(_fromUtf8("label_10"))
        self.gridLayout_2.addWidget(self.label_10, 3, 0, 1, 1)
        self.slider_int_min = QtGui.QSlider(self.dsc_integration)
        self.slider_int_min.setMaximum(1500)
        self.slider_int_min.setProperty("value", 400)
        self.slider_int_min.setOrientation(QtCore.Qt.Horizontal)
        self.slider_int_min.setObjectName(_fromUtf8("slider_int_min"))
        self.gridLayout_2.addWidget(self.slider_int_min, 2, 1, 1, 1)
        self.slider_int_max = QtGui.QSlider(self.dsc_integration)
        self.slider_int_max.setMaximum(1500)
        self.slider_int_max.setProperty("value", 800)
        self.slider_int_max.setOrientation(QtCore.Qt.Horizontal)
        self.slider_int_max.setObjectName(_fromUtf8("slider_int_max"))
        self.gridLayout_2.addWidget(self.slider_int_max, 3, 1, 1, 1)
        self.spinbox_spline_max = QtGui.QSpinBox(self.dsc_integration)
        self.spinbox_spline_max.setMinimum(-200)
        self.spinbox_spline_max.setMaximum(2000)
        self.spinbox_spline_max.setSingleStep(1)
        self.spinbox_spline_max.setProperty("value", 800)
        self.spinbox_spline_max.setObjectName(_fromUtf8("spinbox_spline_max"))
        self.gridLayout_2.addWidget(self.spinbox_spline_max, 1, 2, 1, 1)
        self.spinbox_int_min = QtGui.QSpinBox(self.dsc_integration)
        self.spinbox_int_min.setMinimum(-200)
        self.spinbox_int_min.setMaximum(2000)
        self.spinbox_int_min.setProperty("value", 400)
        self.spinbox_int_min.setObjectName(_fromUtf8("spinbox_int_min"))
        self.gridLayout_2.addWidget(self.spinbox_int_min, 2, 2, 1, 1)
        self.spinbox_int_max = QtGui.QSpinBox(self.dsc_integration)
        self.spinbox_int_max.setMinimum(-200)
        self.spinbox_int_max.setMaximum(2000)
        self.spinbox_int_max.setProperty("value", 800)
        self.spinbox_int_max.setObjectName(_fromUtf8("spinbox_int_max"))
        self.gridLayout_2.addWidget(self.spinbox_int_max, 3, 2, 1, 1)
        self.spinbox_dsc_smoothing = QtGui.QDoubleSpinBox(self.dsc_integration)
        self.spinbox_dsc_smoothing.setDecimals(1)
        self.spinbox_dsc_smoothing.setMinimum(1.0)
        self.spinbox_dsc_smoothing.setSingleStep(0.1)
        self.spinbox_dsc_smoothing.setProperty("value", 2.0)
        self.spinbox_dsc_smoothing.setObjectName(_fromUtf8("spinbox_dsc_smoothing"))
        self.gridLayout_2.addWidget(self.spinbox_dsc_smoothing, 4, 2, 1, 1)
        self.label_11 = QtGui.QLabel(self.dsc_integration)
        self.label_11.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_11.setObjectName(_fromUtf8("label_11"))
        self.gridLayout_2.addWidget(self.label_11, 4, 1, 1, 1)
        spacerItem2 = QtGui.QSpacerItem(20, 40, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
        self.gridLayout_2.addItem(spacerItem2, 5, 1, 1, 1)
        self.slider_spline_max = QtGui.QSlider(self.dsc_integration)
        self.slider_spline_max.setMaximum(1500)
        self.slider_spline_max.setProperty("value", 800)
        self.slider_spline_max.setOrientation(QtCore.Qt.Horizontal)
        self.slider_spline_max.setObjectName(_fromUtf8("slider_spline_max"))
        self.gridLayout_2.addWidget(self.slider_spline_max, 1, 1, 1, 1)
        self.gridLayout_3.addLayout(self.gridLayout_2, 0, 0, 1, 1)
        self.tabWidget.addTab(self.dsc_integration, _fromUtf8(""))
        self.tga_fitting = QtGui.QWidget()
        self.tga_fitting.setObjectName(_fromUtf8("tga_fitting"))
        self.gridLayout_5 = QtGui.QGridLayout(self.tga_fitting)
        self.gridLayout_5.setObjectName(_fromUtf8("gridLayout_5"))
        self.frame_tga_constituants = QtGui.QFrame(self.tga_fitting)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frame_tga_constituants.sizePolicy().hasHeightForWidth())
        self.frame_tga_constituants.setSizePolicy(sizePolicy)
        self.frame_tga_constituants.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frame_tga_constituants.setFrameShadow(QtGui.QFrame.Raised)
        self.frame_tga_constituants.setObjectName(_fromUtf8("frame_tga_constituants"))
        self.gridLayout_6 = QtGui.QGridLayout(self.frame_tga_constituants)
        self.gridLayout_6.setObjectName(_fromUtf8("gridLayout_6"))
        self.grid_tga_constituants = QtGui.QGridLayout()
        self.grid_tga_constituants.setObjectName(_fromUtf8("grid_tga_constituants"))
        self.label_12 = QtGui.QLabel(self.frame_tga_constituants)
        self.label_12.setObjectName(_fromUtf8("label_12"))
        self.grid_tga_constituants.addWidget(self.label_12, 0, 0, 1, 1)
        spacerItem3 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.grid_tga_constituants.addItem(spacerItem3, 0, 1, 1, 1)
        self.button_plus_constituants = QtGui.QPushButton(self.frame_tga_constituants)
        self.button_plus_constituants.setText(_fromUtf8(""))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/plus.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.button_plus_constituants.setIcon(icon1)
        self.button_plus_constituants.setFlat(True)
        self.button_plus_constituants.setObjectName(_fromUtf8("button_plus_constituants"))
        self.grid_tga_constituants.addWidget(self.button_plus_constituants, 0, 2, 1, 1)
        self.button_minus_constituants = QtGui.QPushButton(self.frame_tga_constituants)
        self.button_minus_constituants.setEnabled(True)
        self.button_minus_constituants.setText(_fromUtf8(""))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/minus.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.button_minus_constituants.setIcon(icon2)
        self.button_minus_constituants.setFlat(True)
        self.button_minus_constituants.setObjectName(_fromUtf8("button_minus_constituants"))
        self.grid_tga_constituants.addWidget(self.button_minus_constituants, 0, 3, 1, 1)
        self.table_constituants = QtGui.QTableWidget(self.frame_tga_constituants)
        self.table_constituants.setObjectName(_fromUtf8("table_constituants"))
        self.table_constituants.setColumnCount(3)
        self.table_constituants.setRowCount(3)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setVerticalHeaderItem(0, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setVerticalHeaderItem(1, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setVerticalHeaderItem(2, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setHorizontalHeaderItem(0, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setHorizontalHeaderItem(1, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setHorizontalHeaderItem(2, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(0, 0, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(0, 1, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(0, 2, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(1, 0, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(1, 1, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(1, 2, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(2, 0, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(2, 1, item)
        item = QtGui.QTableWidgetItem()
        self.table_constituants.setItem(2, 2, item)
        self.grid_tga_constituants.addWidget(self.table_constituants, 1, 0, 1, 4)
        self.gridLayout_6.addLayout(self.grid_tga_constituants, 0, 0, 1, 1)
        self.gridLayout_5.addWidget(self.frame_tga_constituants, 0, 0, 1, 1)
        self.frame_tga_reactions = QtGui.QFrame(self.tga_fitting)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(5)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frame_tga_reactions.sizePolicy().hasHeightForWidth())
        self.frame_tga_reactions.setSizePolicy(sizePolicy)
        self.frame_tga_reactions.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frame_tga_reactions.setFrameShadow(QtGui.QFrame.Raised)
        self.frame_tga_reactions.setObjectName(_fromUtf8("frame_tga_reactions"))
        self.gridLayout_9 = QtGui.QGridLayout(self.frame_tga_reactions)
        self.gridLayout_9.setObjectName(_fromUtf8("gridLayout_9"))
        self.grid_tga_reactions = QtGui.QGridLayout()
        self.grid_tga_reactions.setObjectName(_fromUtf8("grid_tga_reactions"))
        self.label_13 = QtGui.QLabel(self.frame_tga_reactions)
        self.label_13.setObjectName(_fromUtf8("label_13"))
        self.grid_tga_reactions.addWidget(self.label_13, 0, 0, 1, 1)
        spacerItem4 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.grid_tga_reactions.addItem(spacerItem4, 0, 1, 1, 1)
        self.button_plus_reactions = QtGui.QPushButton(self.frame_tga_reactions)
        self.button_plus_reactions.setText(_fromUtf8(""))
        self.button_plus_reactions.setIcon(icon1)
        self.button_plus_reactions.setFlat(True)
        self.button_plus_reactions.setObjectName(_fromUtf8("button_plus_reactions"))
        self.grid_tga_reactions.addWidget(self.button_plus_reactions, 0, 2, 1, 1)
        self.button_minus_reactions = QtGui.QPushButton(self.frame_tga_reactions)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.button_minus_reactions.sizePolicy().hasHeightForWidth())
        self.button_minus_reactions.setSizePolicy(sizePolicy)
        self.button_minus_reactions.setText(_fromUtf8(""))
        self.button_minus_reactions.setIcon(icon2)
        self.button_minus_reactions.setFlat(True)
        self.button_minus_reactions.setObjectName(_fromUtf8("button_minus_reactions"))
        self.grid_tga_reactions.addWidget(self.button_minus_reactions, 0, 3, 1, 1)
        self.table_reactions = QtGui.QTableWidget(self.frame_tga_reactions)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.table_reactions.sizePolicy().hasHeightForWidth())
        self.table_reactions.setSizePolicy(sizePolicy)
        self.table_reactions.setObjectName(_fromUtf8("table_reactions"))
        self.table_reactions.setColumnCount(8)
        self.table_reactions.setRowCount(3)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setVerticalHeaderItem(0, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setVerticalHeaderItem(1, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setVerticalHeaderItem(2, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setHorizontalHeaderItem(0, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setHorizontalHeaderItem(1, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setHorizontalHeaderItem(2, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setHorizontalHeaderItem(3, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setHorizontalHeaderItem(4, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setHorizontalHeaderItem(5, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setHorizontalHeaderItem(6, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setHorizontalHeaderItem(7, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setItem(0, 0, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setItem(0, 1, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Unchecked)
        self.table_reactions.setItem(0, 2, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Unchecked)
        self.table_reactions.setItem(0, 3, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(0, 4, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(0, 5, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(0, 6, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Unchecked)
        self.table_reactions.setItem(0, 7, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setItem(1, 0, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setItem(1, 1, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Unchecked)
        self.table_reactions.setItem(1, 2, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(1, 3, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(1, 4, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(1, 5, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(1, 6, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Unchecked)
        self.table_reactions.setItem(1, 7, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setItem(2, 0, item)
        item = QtGui.QTableWidgetItem()
        self.table_reactions.setItem(2, 1, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Unchecked)
        self.table_reactions.setItem(2, 2, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(2, 3, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(2, 4, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(2, 5, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Checked)
        self.table_reactions.setItem(2, 6, item)
        item = QtGui.QTableWidgetItem()
        item.setCheckState(QtCore.Qt.Unchecked)
        self.table_reactions.setItem(2, 7, item)
        self.grid_tga_reactions.addWidget(self.table_reactions, 1, 0, 1, 4)
        self.gridLayout_9.addLayout(self.grid_tga_reactions, 0, 0, 1, 1)
        self.gridLayout_5.addWidget(self.frame_tga_reactions, 0, 2, 1, 1)
        self.gridLayout_14 = QtGui.QGridLayout()
        self.gridLayout_14.setObjectName(_fromUtf8("gridLayout_14"))
        self.label_29 = QtGui.QLabel(self.tga_fitting)
        self.label_29.setObjectName(_fromUtf8("label_29"))
        self.gridLayout_14.addWidget(self.label_29, 0, 0, 1, 1)
        self.combo_optim_method = QtGui.QComboBox(self.tga_fitting)
        self.combo_optim_method.setObjectName(_fromUtf8("combo_optim_method"))
        self.combo_optim_method.addItem(_fromUtf8(""))
        self.combo_optim_method.addItem(_fromUtf8(""))
        self.combo_optim_method.addItem(_fromUtf8(""))
        self.combo_optim_method.addItem(_fromUtf8(""))
        self.gridLayout_14.addWidget(self.combo_optim_method, 0, 1, 1, 1)
        self.check_heat_diffusion = QtGui.QCheckBox(self.tga_fitting)
        self.check_heat_diffusion.setObjectName(_fromUtf8("check_heat_diffusion"))
        self.gridLayout_14.addWidget(self.check_heat_diffusion, 1, 0, 1, 1)
        self.grid_heat_transfer = QtGui.QWidget(self.tga_fitting)
        self.grid_heat_transfer.setEnabled(True)
        self.grid_heat_transfer.setObjectName(_fromUtf8("grid_heat_transfer"))
        self.gridLayout_12 = QtGui.QGridLayout(self.grid_heat_transfer)
        self.gridLayout_12.setMargin(0)
        self.gridLayout_12.setObjectName(_fromUtf8("gridLayout_12"))
        spacerItem5 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.gridLayout_12.addItem(spacerItem5, 0, 10, 1, 1)
        spacerItem6 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Minimum)
        self.gridLayout_12.addItem(spacerItem6, 0, 5, 1, 1)
        spacerItem7 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.gridLayout_12.addItem(spacerItem7, 0, 9, 1, 1)
        self.line_sample_size = QtGui.QLineEdit(self.grid_heat_transfer)
        self.line_sample_size.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.line_sample_size.sizePolicy().hasHeightForWidth())
        self.line_sample_size.setSizePolicy(sizePolicy)
        self.line_sample_size.setMinimumSize(QtCore.QSize(10, 0))
        self.line_sample_size.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.line_sample_size.setObjectName(_fromUtf8("line_sample_size"))
        self.gridLayout_12.addWidget(self.line_sample_size, 0, 7, 1, 1)
        self.label_23 = QtGui.QLabel(self.grid_heat_transfer)
        self.label_23.setEnabled(True)
        self.label_23.setObjectName(_fromUtf8("label_23"))
        self.gridLayout_12.addWidget(self.label_23, 0, 2, 1, 1)
        self.label_25 = QtGui.QLabel(self.grid_heat_transfer)
        self.label_25.setEnabled(True)
        self.label_25.setObjectName(_fromUtf8("label_25"))
        self.gridLayout_12.addWidget(self.label_25, 0, 6, 1, 1)
        self.label_26 = QtGui.QLabel(self.grid_heat_transfer)
        self.label_26.setEnabled(True)
        self.label_26.setTextFormat(QtCore.Qt.AutoText)
        self.label_26.setObjectName(_fromUtf8("label_26"))
        self.gridLayout_12.addWidget(self.label_26, 0, 8, 1, 1)
        self.label_24 = QtGui.QLabel(self.grid_heat_transfer)
        self.label_24.setEnabled(True)
        self.label_24.setObjectName(_fromUtf8("label_24"))
        self.gridLayout_12.addWidget(self.label_24, 0, 4, 1, 1)
        self.line_diffusivity = QtGui.QLineEdit(self.grid_heat_transfer)
        self.line_diffusivity.setEnabled(True)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.line_diffusivity.sizePolicy().hasHeightForWidth())
        self.line_diffusivity.setSizePolicy(sizePolicy)
        self.line_diffusivity.setMinimumSize(QtCore.QSize(10, 0))
        self.line_diffusivity.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.line_diffusivity.setObjectName(_fromUtf8("line_diffusivity"))
        self.gridLayout_12.addWidget(self.line_diffusivity, 0, 3, 1, 1)
        self.gridLayout_14.addWidget(self.grid_heat_transfer, 1, 1, 1, 3)
        spacerItem8 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.gridLayout_14.addItem(spacerItem8, 0, 3, 1, 2)
        self.push_reset_values = QtGui.QPushButton(self.tga_fitting)
        self.push_reset_values.setMinimumSize(QtCore.QSize(10, 0))
        self.push_reset_values.setObjectName(_fromUtf8("push_reset_values"))
        self.gridLayout_14.addWidget(self.push_reset_values, 0, 2, 1, 1)
        self.gridLayout_5.addLayout(self.gridLayout_14, 1, 0, 1, 3)
        self.tabWidget.addTab(self.tga_fitting, _fromUtf8(""))
        self.tab = QtGui.QWidget()
        self.tab.setObjectName(_fromUtf8("tab"))
        self.gridLayout_10 = QtGui.QGridLayout(self.tab)
        self.gridLayout_10.setObjectName(_fromUtf8("gridLayout_10"))
        spacerItem9 = QtGui.QSpacerItem(20, 40, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
        self.gridLayout_10.addItem(spacerItem9, 15, 0, 1, 1)
        self.gridLayout_11 = QtGui.QGridLayout()
        self.gridLayout_11.setObjectName(_fromUtf8("gridLayout_11"))
        self.combo_atmo_tga_simu = QtGui.QComboBox(self.tab)
        self.combo_atmo_tga_simu.setObjectName(_fromUtf8("combo_atmo_tga_simu"))
        self.combo_atmo_tga_simu.addItem(_fromUtf8(""))
        self.combo_atmo_tga_simu.addItem(_fromUtf8(""))
        self.gridLayout_11.addWidget(self.combo_atmo_tga_simu, 0, 1, 1, 1)
        self.label_20 = QtGui.QLabel(self.tab)
        self.label_20.setObjectName(_fromUtf8("label_20"))
        self.gridLayout_11.addWidget(self.label_20, 0, 0, 1, 1)
        spacerItem10 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.gridLayout_11.addItem(spacerItem10, 0, 3, 1, 1)
        self.checkBox_simulate_constituents = QtGui.QCheckBox(self.tab)
        self.checkBox_simulate_constituents.setObjectName(_fromUtf8("checkBox_simulate_constituents"))
        self.gridLayout_11.addWidget(self.checkBox_simulate_constituents, 1, 0, 1, 3)
        self.gridLayout_10.addLayout(self.gridLayout_11, 9, 0, 2, 1)
        self.frame = QtGui.QFrame(self.tab)
        self.frame.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtGui.QFrame.Raised)
        self.frame.setObjectName(_fromUtf8("frame"))
        self.gridLayout_10.addWidget(self.frame, 0, 0, 1, 1)
        self.frame_2 = QtGui.QFrame(self.tab)
        self.frame_2.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frame_2.setFrameShadow(QtGui.QFrame.Raised)
        self.frame_2.setObjectName(_fromUtf8("frame_2"))
        self.gridLayout_13 = QtGui.QGridLayout(self.frame_2)
        self.gridLayout_13.setObjectName(_fromUtf8("gridLayout_13"))
        self.gridLayout_8 = QtGui.QGridLayout()
        self.gridLayout_8.setObjectName(_fromUtf8("gridLayout_8"))
        self.horizontalWidget = QtGui.QWidget(self.frame_2)
        self.horizontalWidget.setObjectName(_fromUtf8("horizontalWidget"))
        self.horizontalLayout_2 = QtGui.QHBoxLayout(self.horizontalWidget)
        self.horizontalLayout_2.setMargin(0)
        self.horizontalLayout_2.setObjectName(_fromUtf8("horizontalLayout_2"))
        self.label = QtGui.QLabel(self.horizontalWidget)
        self.label.setObjectName(_fromUtf8("label"))
        self.horizontalLayout_2.addWidget(self.label)
        self.isothermal_min_spin = QtGui.QSpinBox(self.horizontalWidget)
        self.isothermal_min_spin.setMaximum(2000)
        self.isothermal_min_spin.setProperty("value", 600)
        self.isothermal_min_spin.setObjectName(_fromUtf8("isothermal_min_spin"))
        self.horizontalLayout_2.addWidget(self.isothermal_min_spin)
        self.label_2 = QtGui.QLabel(self.horizontalWidget)
        self.label_2.setObjectName(_fromUtf8("label_2"))
        self.horizontalLayout_2.addWidget(self.label_2)
        self.isothermal_max_spin = QtGui.QSpinBox(self.horizontalWidget)
        self.isothermal_max_spin.setMaximum(2000)
        self.isothermal_max_spin.setProperty("value", 700)
        self.isothermal_max_spin.setObjectName(_fromUtf8("isothermal_max_spin"))
        self.horizontalLayout_2.addWidget(self.isothermal_max_spin)
        self.label_17 = QtGui.QLabel(self.horizontalWidget)
        self.label_17.setObjectName(_fromUtf8("label_17"))
        self.horizontalLayout_2.addWidget(self.label_17)
        self.isothermal_nb_spin = QtGui.QSpinBox(self.horizontalWidget)
        self.isothermal_nb_spin.setProperty("value", 6)
        self.isothermal_nb_spin.setObjectName(_fromUtf8("isothermal_nb_spin"))
        self.horizontalLayout_2.addWidget(self.isothermal_nb_spin)
        self.label_18 = QtGui.QLabel(self.horizontalWidget)
        self.label_18.setObjectName(_fromUtf8("label_18"))
        self.horizontalLayout_2.addWidget(self.label_18)
        spacerItem11 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem11)
        self.label_21 = QtGui.QLabel(self.horizontalWidget)
        self.label_21.setObjectName(_fromUtf8("label_21"))
        self.horizontalLayout_2.addWidget(self.label_21)
        self.line_tga_duration = QtGui.QLineEdit(self.horizontalWidget)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.line_tga_duration.sizePolicy().hasHeightForWidth())
        self.line_tga_duration.setSizePolicy(sizePolicy)
        self.line_tga_duration.setMaximumSize(QtCore.QSize(60, 16777215))
        self.line_tga_duration.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.line_tga_duration.setObjectName(_fromUtf8("line_tga_duration"))
        self.horizontalLayout_2.addWidget(self.line_tga_duration)
        self.label_22 = QtGui.QLabel(self.horizontalWidget)
        self.label_22.setObjectName(_fromUtf8("label_22"))
        self.horizontalLayout_2.addWidget(self.label_22)
        self.gridLayout_8.addWidget(self.horizontalWidget, 5, 1, 1, 1)
        self.horizontalWidget2 = QtGui.QWidget(self.frame_2)
        self.horizontalWidget2.setEnabled(False)
        self.horizontalWidget2.setObjectName(_fromUtf8("horizontalWidget2"))
        self.horizontalLayout_3 = QtGui.QHBoxLayout(self.horizontalWidget2)
        self.horizontalLayout_3.setMargin(0)
        self.horizontalLayout_3.setObjectName(_fromUtf8("horizontalLayout_3"))
        self.label_14 = QtGui.QLabel(self.horizontalWidget2)
        self.label_14.setObjectName(_fromUtf8("label_14"))
        self.horizontalLayout_3.addWidget(self.label_14)
        self.constant_beta_min_spin = QtGui.QSpinBox(self.horizontalWidget2)
        self.constant_beta_min_spin.setMaximum(2000)
        self.constant_beta_min_spin.setSingleStep(1)
        self.constant_beta_min_spin.setProperty("value", 5)
        self.constant_beta_min_spin.setObjectName(_fromUtf8("constant_beta_min_spin"))
        self.horizontalLayout_3.addWidget(self.constant_beta_min_spin)
        self.label_15 = QtGui.QLabel(self.horizontalWidget2)
        self.label_15.setObjectName(_fromUtf8("label_15"))
        self.horizontalLayout_3.addWidget(self.label_15)
        self.constant_beta_max_spin = QtGui.QSpinBox(self.horizontalWidget2)
        self.constant_beta_max_spin.setMaximum(2000)
        self.constant_beta_max_spin.setProperty("value", 20)
        self.constant_beta_max_spin.setObjectName(_fromUtf8("constant_beta_max_spin"))
        self.horizontalLayout_3.addWidget(self.constant_beta_max_spin)
        self.label_16 = QtGui.QLabel(self.horizontalWidget2)
        self.label_16.setObjectName(_fromUtf8("label_16"))
        self.horizontalLayout_3.addWidget(self.label_16)
        self.constant_beta_nb_spin = QtGui.QSpinBox(self.horizontalWidget2)
        self.constant_beta_nb_spin.setProperty("value", 4)
        self.constant_beta_nb_spin.setObjectName(_fromUtf8("constant_beta_nb_spin"))
        self.horizontalLayout_3.addWidget(self.constant_beta_nb_spin)
        self.label_19 = QtGui.QLabel(self.horizontalWidget2)
        self.label_19.setObjectName(_fromUtf8("label_19"))
        self.horizontalLayout_3.addWidget(self.label_19)
        spacerItem12 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem12)
        self.label_27 = QtGui.QLabel(self.horizontalWidget2)
        self.label_27.setObjectName(_fromUtf8("label_27"))
        self.horizontalLayout_3.addWidget(self.label_27)
        self.line_tga_Tmax = QtGui.QLineEdit(self.horizontalWidget2)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.line_tga_Tmax.sizePolicy().hasHeightForWidth())
        self.line_tga_Tmax.setSizePolicy(sizePolicy)
        self.line_tga_Tmax.setMaximumSize(QtCore.QSize(60, 16777215))
        self.line_tga_Tmax.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.line_tga_Tmax.setObjectName(_fromUtf8("line_tga_Tmax"))
        self.horizontalLayout_3.addWidget(self.line_tga_Tmax)
        self.label_28 = QtGui.QLabel(self.horizontalWidget2)
        self.label_28.setObjectName(_fromUtf8("label_28"))
        self.horizontalLayout_3.addWidget(self.label_28)
        self.gridLayout_8.addWidget(self.horizontalWidget2, 8, 1, 2, 1)
        self.constant_beta_radio = QtGui.QRadioButton(self.frame_2)
        self.constant_beta_radio.setObjectName(_fromUtf8("constant_beta_radio"))
        self.gridLayout_8.addWidget(self.constant_beta_radio, 6, 1, 1, 1)
        self.isothermal_radio = QtGui.QRadioButton(self.frame_2)
        self.isothermal_radio.setChecked(True)
        self.isothermal_radio.setObjectName(_fromUtf8("isothermal_radio"))
        self.gridLayout_8.addWidget(self.isothermal_radio, 0, 1, 1, 5)
        spacerItem13 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.gridLayout_8.addItem(spacerItem13, 5, 5, 1, 1)
        spacerItem14 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.gridLayout_8.addItem(spacerItem14, 8, 5, 1, 1)
        self.gridLayout_13.addLayout(self.gridLayout_8, 0, 0, 1, 1)
        self.gridLayout_10.addWidget(self.frame_2, 1, 0, 1, 1)
        self.tabWidget.addTab(self.tab, _fromUtf8(""))
        self.verticalLayout_4.addWidget(self.tabWidget)
        self.verticalLayout_3.addWidget(self.splitter)
        ADTC_window.setCentralWidget(self.centralwidget)
        self.menubar = QtGui.QMenuBar(ADTC_window)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 872, 28))
        self.menubar.setObjectName(_fromUtf8("menubar"))
        self.menuFichier = QtGui.QMenu(self.menubar)
        self.menuFichier.setObjectName(_fromUtf8("menuFichier"))
        self.menuHelp = QtGui.QMenu(self.menubar)
        self.menuHelp.setObjectName(_fromUtf8("menuHelp"))
        self.menuSettings = QtGui.QMenu(self.menubar)
        self.menuSettings.setObjectName(_fromUtf8("menuSettings"))
        self.menuPlot_style = QtGui.QMenu(self.menuSettings)
        self.menuPlot_style.setObjectName(_fromUtf8("menuPlot_style"))
        self.menuLegend_location = QtGui.QMenu(self.menuSettings)
        self.menuLegend_location.setObjectName(_fromUtf8("menuLegend_location"))
        self.menuDisplay = QtGui.QMenu(self.menubar)
        self.menuDisplay.setObjectName(_fromUtf8("menuDisplay"))
        self.menuTools = QtGui.QMenu(self.menubar)
        self.menuTools.setObjectName(_fromUtf8("menuTools"))
        ADTC_window.setMenuBar(self.menubar)
        self.statusbar = QtGui.QStatusBar(ADTC_window)
        self.statusbar.setObjectName(_fromUtf8("statusbar"))
        ADTC_window.setStatusBar(self.statusbar)
        self.toolbar_file = QtGui.QToolBar(ADTC_window)
        self.toolbar_file.setObjectName(_fromUtf8("toolbar_file"))
        ADTC_window.addToolBar(QtCore.Qt.TopToolBarArea, self.toolbar_file)
        self.dockWidget_plot_zone = QtGui.QDockWidget(ADTC_window)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(10)
        sizePolicy.setHeightForWidth(self.dockWidget_plot_zone.sizePolicy().hasHeightForWidth())
        self.dockWidget_plot_zone.setSizePolicy(sizePolicy)
        self.dockWidget_plot_zone.setMinimumSize(QtCore.QSize(79, 250))
        self.dockWidget_plot_zone.setFeatures(QtGui.QDockWidget.AllDockWidgetFeatures)
        self.dockWidget_plot_zone.setObjectName(_fromUtf8("dockWidget_plot_zone"))
        self.dockWidgetContents = QtGui.QWidget()
        self.dockWidgetContents.setObjectName(_fromUtf8("dockWidgetContents"))
        self.gridLayout_4 = QtGui.QGridLayout(self.dockWidgetContents)
        self.gridLayout_4.setObjectName(_fromUtf8("gridLayout_4"))
        self.plot_layout = QtGui.QGridLayout()
        self.plot_layout.setSizeConstraint(QtGui.QLayout.SetNoConstraint)
        self.plot_layout.setObjectName(_fromUtf8("plot_layout"))
        self.gridLayout_4.addLayout(self.plot_layout, 0, 0, 1, 1)
        self.dockWidget_plot_zone.setWidget(self.dockWidgetContents)
        ADTC_window.addDockWidget(QtCore.Qt.DockWidgetArea(8), self.dockWidget_plot_zone)
        self.dockWidget_database = QtGui.QDockWidget(ADTC_window)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(10)
        sizePolicy.setHeightForWidth(self.dockWidget_database.sizePolicy().hasHeightForWidth())
        self.dockWidget_database.setSizePolicy(sizePolicy)
        self.dockWidget_database.setObjectName(_fromUtf8("dockWidget_database"))
        self.dockWidgetContents_2 = QtGui.QWidget()
        self.dockWidgetContents_2.setObjectName(_fromUtf8("dockWidgetContents_2"))
        self.gridLayout_7 = QtGui.QGridLayout(self.dockWidgetContents_2)
        self.gridLayout_7.setObjectName(_fromUtf8("gridLayout_7"))
        self.database_widget = QtGui.QTableWidget(self.dockWidgetContents_2)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.database_widget.sizePolicy().hasHeightForWidth())
        self.database_widget.setSizePolicy(sizePolicy)
        self.database_widget.setObjectName(_fromUtf8("database_widget"))
        self.database_widget.setColumnCount(16)
        self.database_widget.setRowCount(1)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setVerticalHeaderItem(0, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(0, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(1, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(2, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(3, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(4, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(5, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(6, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(7, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(8, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(9, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(10, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(11, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(12, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(13, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(14, item)
        item = QtGui.QTableWidgetItem()
        self.database_widget.setHorizontalHeaderItem(15, item)
        self.gridLayout_7.addWidget(self.database_widget, 0, 0, 1, 1)
        self.dockWidget_database.setWidget(self.dockWidgetContents_2)
        ADTC_window.addDockWidget(QtCore.Qt.DockWidgetArea(4), self.dockWidget_database)
        self.actionOpen_database = QtGui.QAction(ADTC_window)
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/document-open.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionOpen_database.setIcon(icon3)
        self.actionOpen_database.setObjectName(_fromUtf8("actionOpen_database"))
        self.actionExit = QtGui.QAction(ADTC_window)
        self.actionExit.setObjectName(_fromUtf8("actionExit"))
        self.actionReport_bug = QtGui.QAction(ADTC_window)
        self.actionReport_bug.setObjectName(_fromUtf8("actionReport_bug"))
        self.actionAbout_Adethec = QtGui.QAction(ADTC_window)
        self.actionAbout_Adethec.setObjectName(_fromUtf8("actionAbout_Adethec"))
        self.actionPlot = QtGui.QAction(ADTC_window)
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/plotxy.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionPlot.setIcon(icon4)
        self.actionPlot.setObjectName(_fromUtf8("actionPlot"))
        self.actionClassic = QtGui.QAction(ADTC_window)
        self.actionClassic.setCheckable(True)
        self.actionClassic.setObjectName(_fromUtf8("actionClassic"))
        self.actionBlack_White = QtGui.QAction(ADTC_window)
        self.actionBlack_White.setCheckable(True)
        self.actionBlack_White.setSoftKeyRole(QtGui.QAction.PositiveSoftKey)
        self.actionBlack_White.setObjectName(_fromUtf8("actionBlack_White"))
        self.action538 = QtGui.QAction(ADTC_window)
        self.action538.setCheckable(True)
        self.action538.setChecked(True)
        self.action538.setObjectName(_fromUtf8("action538"))
        self.actionTop_Right = QtGui.QAction(ADTC_window)
        self.actionTop_Right.setCheckable(True)
        self.actionTop_Right.setChecked(False)
        self.actionTop_Right.setObjectName(_fromUtf8("actionTop_Right"))
        self.actionTop_Left = QtGui.QAction(ADTC_window)
        self.actionTop_Left.setCheckable(True)
        self.actionTop_Left.setObjectName(_fromUtf8("actionTop_Left"))
        self.actionBottom_Right = QtGui.QAction(ADTC_window)
        self.actionBottom_Right.setCheckable(True)
        self.actionBottom_Right.setObjectName(_fromUtf8("actionBottom_Right"))
        self.actionBottom_Left = QtGui.QAction(ADTC_window)
        self.actionBottom_Left.setCheckable(True)
        self.actionBottom_Left.setObjectName(_fromUtf8("actionBottom_Left"))
        self.action_Best = QtGui.QAction(ADTC_window)
        self.action_Best.setCheckable(True)
        self.action_Best.setChecked(True)
        self.action_Best.setObjectName(_fromUtf8("action_Best"))
        self.actionIntegrate_DSC = QtGui.QAction(ADTC_window)
        icon5 = QtGui.QIcon()
        icon5.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/integration.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionIntegrate_DSC.setIcon(icon5)
        self.actionIntegrate_DSC.setObjectName(_fromUtf8("actionIntegrate_DSC"))
        self.actionDisplay_database = QtGui.QAction(ADTC_window)
        self.actionDisplay_database.setCheckable(True)
        self.actionDisplay_database.setChecked(True)
        self.actionDisplay_database.setObjectName(_fromUtf8("actionDisplay_database"))
        self.actionDisplay_plot_zone = QtGui.QAction(ADTC_window)
        self.actionDisplay_plot_zone.setCheckable(True)
        self.actionDisplay_plot_zone.setChecked(True)
        self.actionDisplay_plot_zone.setObjectName(_fromUtf8("actionDisplay_plot_zone"))
        self.actionTGA_fitting = QtGui.QAction(ADTC_window)
        icon6 = QtGui.QIcon()
        icon6.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/plot_fitting.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionTGA_fitting.setIcon(icon6)
        self.actionTGA_fitting.setObjectName(_fromUtf8("actionTGA_fitting"))
        self.actionTGA_integrate = QtGui.QAction(ADTC_window)
        icon7 = QtGui.QIcon()
        icon7.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/tga_integrate.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionTGA_integrate.setIcon(icon7)
        self.actionTGA_integrate.setObjectName(_fromUtf8("actionTGA_integrate"))
        self.actionTGA_simulate = QtGui.QAction(ADTC_window)
        icon8 = QtGui.QIcon()
        icon8.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/tga_simulate.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionTGA_simulate.setIcon(icon8)
        self.actionTGA_simulate.setObjectName(_fromUtf8("actionTGA_simulate"))
        self.actionReload_database = QtGui.QAction(ADTC_window)
        icon9 = QtGui.QIcon()
        icon9.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/reload_icon.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionReload_database.setIcon(icon9)
        self.actionReload_database.setObjectName(_fromUtf8("actionReload_database"))
        self.actionPreferences = QtGui.QAction(ADTC_window)
        self.actionPreferences.setObjectName(_fromUtf8("actionPreferences"))
        self.actionExport_HDF5 = QtGui.QAction(ADTC_window)
        icon10 = QtGui.QIcon()
        icon10.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/export_icon.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionExport_HDF5.setIcon(icon10)
        self.actionExport_HDF5.setObjectName(_fromUtf8("actionExport_HDF5"))
        self.actionImport_HDF5 = QtGui.QAction(ADTC_window)
        icon11 = QtGui.QIcon()
        icon11.addPixmap(QtGui.QPixmap(_fromUtf8(":/img/img/import_icon.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.actionImport_HDF5.setIcon(icon11)
        self.actionImport_HDF5.setObjectName(_fromUtf8("actionImport_HDF5"))
        self.actionHelp = QtGui.QAction(ADTC_window)
        self.actionHelp.setObjectName(_fromUtf8("actionHelp"))
        self.menuFichier.addAction(self.actionOpen_database)
        self.menuFichier.addAction(self.actionReload_database)
        self.menuFichier.addSeparator()
        self.menuFichier.addAction(self.actionImport_HDF5)
        self.menuFichier.addAction(self.actionExport_HDF5)
        self.menuFichier.addSeparator()
        self.menuFichier.addAction(self.actionExit)
        self.menuHelp.addAction(self.actionHelp)
        self.menuHelp.addSeparator()
        self.menuHelp.addAction(self.actionReport_bug)
        self.menuHelp.addAction(self.actionAbout_Adethec)
        self.menuPlot_style.addAction(self.action538)
        self.menuPlot_style.addAction(self.actionClassic)
        self.menuPlot_style.addAction(self.actionBlack_White)
        self.menuLegend_location.addAction(self.action_Best)
        self.menuLegend_location.addAction(self.actionTop_Right)
        self.menuLegend_location.addAction(self.actionTop_Left)
        self.menuLegend_location.addAction(self.actionBottom_Right)
        self.menuLegend_location.addAction(self.actionBottom_Left)
        self.menuSettings.addAction(self.menuPlot_style.menuAction())
        self.menuSettings.addAction(self.menuLegend_location.menuAction())
        self.menuSettings.addAction(self.actionPreferences)
        self.menuDisplay.addAction(self.actionDisplay_database)
        self.menuDisplay.addAction(self.actionDisplay_plot_zone)
        self.menuTools.addAction(self.actionPlot)
        self.menuTools.addAction(self.actionIntegrate_DSC)
        self.menuTools.addAction(self.actionTGA_integrate)
        self.menuTools.addAction(self.actionTGA_fitting)
        self.menuTools.addAction(self.actionTGA_simulate)
        self.menubar.addAction(self.menuFichier.menuAction())
        self.menubar.addAction(self.menuTools.menuAction())
        self.menubar.addAction(self.menuDisplay.menuAction())
        self.menubar.addAction(self.menuSettings.menuAction())
        self.menubar.addAction(self.menuHelp.menuAction())
        self.toolbar_file.addAction(self.actionOpen_database)
        self.toolbar_file.addAction(self.actionReload_database)
        self.toolbar_file.addAction(self.actionImport_HDF5)
        self.toolbar_file.addAction(self.actionExport_HDF5)
        self.toolbar_file.addSeparator()
        self.toolbar_file.addAction(self.actionPlot)
        self.toolbar_file.addAction(self.actionIntegrate_DSC)
        self.toolbar_file.addAction(self.actionTGA_integrate)
        self.toolbar_file.addAction(self.actionTGA_fitting)
        self.toolbar_file.addAction(self.actionTGA_simulate)
        self.toolbar_file.addSeparator()
        self.label_5.setBuddy(self.plot_abscissa)
        self.label_4.setBuddy(self.plot_type_2)
        self.label_3.setBuddy(self.plot_type_1)
        self.label_6.setBuddy(self.spinbox_smoothing)

        self.retranslateUi(ADTC_window)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QObject.connect(self.checkbox_smoothing, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.spinbox_smoothing.setEnabled)
        QtCore.QObject.connect(self.checkbox_smoothing, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.label_6.setEnabled)
        QtCore.QObject.connect(self.slider_spline_min, QtCore.SIGNAL(_fromUtf8("sliderMoved(int)")), self.spinbox_spline_min.setValue)
        QtCore.QObject.connect(self.spinbox_spline_min, QtCore.SIGNAL(_fromUtf8("valueChanged(int)")), self.slider_spline_min.setValue)
        QtCore.QObject.connect(self.slider_spline_max, QtCore.SIGNAL(_fromUtf8("valueChanged(int)")), self.spinbox_spline_max.setValue)
        QtCore.QObject.connect(self.spinbox_spline_max, QtCore.SIGNAL(_fromUtf8("valueChanged(int)")), self.slider_spline_max.setValue)
        QtCore.QObject.connect(self.slider_int_min, QtCore.SIGNAL(_fromUtf8("valueChanged(int)")), self.spinbox_int_min.setValue)
        QtCore.QObject.connect(self.spinbox_int_min, QtCore.SIGNAL(_fromUtf8("valueChanged(int)")), self.slider_int_min.setValue)
        QtCore.QObject.connect(self.slider_int_max, QtCore.SIGNAL(_fromUtf8("valueChanged(int)")), self.spinbox_int_max.setValue)
        QtCore.QObject.connect(self.spinbox_int_max, QtCore.SIGNAL(_fromUtf8("valueChanged(int)")), self.slider_int_max.setValue)
        QtCore.QObject.connect(self.actionDisplay_database, QtCore.SIGNAL(_fromUtf8("triggered(bool)")), self.dockWidget_database.setVisible)
        QtCore.QObject.connect(self.dockWidget_database, QtCore.SIGNAL(_fromUtf8("visibilityChanged(bool)")), self.actionDisplay_database.setChecked)
        QtCore.QObject.connect(self.actionDisplay_plot_zone, QtCore.SIGNAL(_fromUtf8("triggered(bool)")), self.dockWidget_plot_zone.setVisible)
        QtCore.QObject.connect(self.isothermal_radio, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.horizontalWidget.setEnabled)
        QtCore.QObject.connect(self.constant_beta_radio, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.horizontalWidget2.setEnabled)
        QtCore.QObject.connect(self.check_heat_diffusion, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.grid_heat_transfer.setVisible)
        QtCore.QObject.connect(self.checkBox_mm0_scaled, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.line_scaling_min.setEnabled)
        QtCore.QObject.connect(self.checkBox_mm0_scaled, QtCore.SIGNAL(_fromUtf8("toggled(bool)")), self.label_30.setEnabled)
        QtCore.QMetaObject.connectSlotsByName(ADTC_window)

    def retranslateUi(self, ADTC_window):
        ADTC_window.setWindowTitle(_translate("ADTC_window", "Adethec", None))
        self.plot_type_1.setItemText(0, _translate("ADTC_window", "m/m0 [-]", None))
        self.plot_type_1.setItemText(1, _translate("ADTC_window", "m [mg]", None))
        self.plot_type_1.setItemText(2, _translate("ADTC_window", "m-m0 [mg]", None))
        self.plot_type_1.setItemText(3, _translate("ADTC_window", "-d/dT (m/m0) [1/K]", None))
        self.plot_type_1.setItemText(4, _translate("ADTC_window", "MLR [1/s]", None))
        self.plot_type_1.setItemText(5, _translate("ADTC_window", "HF [mW]", None))
        self.checkbox_substract_blank.setText(_translate("ADTC_window", "Substract blank line", None))
        self.checkbox_plot_blank.setText(_translate("ADTC_window", "Plot blank line", None))
        self.label_5.setText(_translate("ADTC_window", "Abscissa                 ", None))
        self.plot_abscissa.setItemText(0, _translate("ADTC_window", "T [K]", None))
        self.plot_abscissa.setItemText(1, _translate("ADTC_window", "T [degC]", None))
        self.plot_abscissa.setItemText(2, _translate("ADTC_window", "t [min]", None))
        self.plot_abscissa.setItemText(3, _translate("ADTC_window", "t [s]", None))
        self.label_4.setText(_translate("ADTC_window", "Plot 2", None))
        self.plot_type_2.setItemText(0, _translate("ADTC_window", "None", None))
        self.plot_type_2.setItemText(1, _translate("ADTC_window", "m/m0 [-]", None))
        self.plot_type_2.setItemText(2, _translate("ADTC_window", "m [mg]", None))
        self.plot_type_2.setItemText(3, _translate("ADTC_window", "m-m0 [mg]", None))
        self.plot_type_2.setItemText(4, _translate("ADTC_window", "-d/dT (m/m0) [1/K]", None))
        self.plot_type_2.setItemText(5, _translate("ADTC_window", "MLR [1/s]", None))
        self.plot_type_2.setItemText(6, _translate("ADTC_window", "HF [mW]", None))
        self.label_3.setText(_translate("ADTC_window", "Plot 1", None))
        self.checkbox_smoothing.setText(_translate("ADTC_window", "Curve smoothing", None))
        self.label_6.setText(_translate("ADTC_window", "Smoothing value [ 1 Low - 10 High ]", None))
        self.checkBox_mm0_scaled.setText(_translate("ADTC_window", "m/m0 scaled from", None))
        self.line_scaling_min.setText(_translate("ADTC_window", "0.0", None))
        self.label_30.setText(_translate("ADTC_window", "to 1", None))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.plot_parameters), _translate("ADTC_window", "Plot parameters", None))
        self.label_7.setText(_translate("ADTC_window", "Spline min T", None))
        self.label_8.setText(_translate("ADTC_window", "Spline max T", None))
        self.label_9.setText(_translate("ADTC_window", "Int. min T", None))
        self.label_10.setText(_translate("ADTC_window", "Int. max T", None))
        self.label_11.setText(_translate("ADTC_window", "Spline smoothing", None))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.dsc_integration), _translate("ADTC_window", "DSC integration", None))
        self.label_12.setText(_translate("ADTC_window", "Constituents", None))
        item = self.table_constituants.verticalHeaderItem(0)
        item.setText(_translate("ADTC_window", "1", None))
        item = self.table_constituants.verticalHeaderItem(1)
        item.setText(_translate("ADTC_window", "2", None))
        item = self.table_constituants.verticalHeaderItem(2)
        item.setText(_translate("ADTC_window", "3", None))
        item = self.table_constituants.horizontalHeaderItem(0)
        item.setText(_translate("ADTC_window", "Name", None))
        item = self.table_constituants.horizontalHeaderItem(1)
        item.setText(_translate("ADTC_window", "Y0", None))
        item = self.table_constituants.horizontalHeaderItem(2)
        item.setText(_translate("ADTC_window", "rho", None))
        __sortingEnabled = self.table_constituants.isSortingEnabled()
        self.table_constituants.setSortingEnabled(False)
        item = self.table_constituants.item(0, 0)
        item.setText(_translate("ADTC_window", "Carbon fibers", None))
        item = self.table_constituants.item(0, 1)
        item.setText(_translate("ADTC_window", "0.64", None))
        item = self.table_constituants.item(0, 2)
        item.setText(_translate("ADTC_window", "1800", None))
        item = self.table_constituants.item(1, 0)
        item.setText(_translate("ADTC_window", "Resin", None))
        item = self.table_constituants.item(1, 1)
        item.setText(_translate("ADTC_window", "0.36", None))
        item = self.table_constituants.item(1, 2)
        item.setText(_translate("ADTC_window", "1500", None))
        item = self.table_constituants.item(2, 0)
        item.setText(_translate("ADTC_window", "Char", None))
        item = self.table_constituants.item(2, 1)
        item.setText(_translate("ADTC_window", "0.0", None))
        item = self.table_constituants.item(2, 2)
        item.setText(_translate("ADTC_window", "1500", None))
        self.table_constituants.setSortingEnabled(__sortingEnabled)
        self.label_13.setStatusTip(_translate("ADTC_window", "Only checked values are in the fitting problem", None))
        self.label_13.setText(_translate("ADTC_window", "Reactions", None))
        self.table_reactions.setToolTip(_translate("ADTC_window", "Only checked values are in the fitting problem", None))
        item = self.table_reactions.verticalHeaderItem(0)
        item.setText(_translate("ADTC_window", "1", None))
        item = self.table_reactions.verticalHeaderItem(1)
        item.setText(_translate("ADTC_window", "2", None))
        item = self.table_reactions.verticalHeaderItem(2)
        item.setText(_translate("ADTC_window", "3", None))
        item = self.table_reactions.horizontalHeaderItem(0)
        item.setText(_translate("ADTC_window", "Reactant", None))
        item = self.table_reactions.horizontalHeaderItem(1)
        item.setText(_translate("ADTC_window", "Product", None))
        item = self.table_reactions.horizontalHeaderItem(2)
        item.setText(_translate("ADTC_window", "Mu", None))
        item = self.table_reactions.horizontalHeaderItem(3)
        item.setText(_translate("ADTC_window", "Oxyd. reaction", None))
        item = self.table_reactions.horizontalHeaderItem(4)
        item.setText(_translate("ADTC_window", "A", None))
        item = self.table_reactions.horizontalHeaderItem(5)
        item.setText(_translate("ADTC_window", "Ea", None))
        item = self.table_reactions.horizontalHeaderItem(6)
        item.setText(_translate("ADTC_window", "n", None))
        item = self.table_reactions.horizontalHeaderItem(7)
        item.setText(_translate("ADTC_window", "gamma", None))
        __sortingEnabled = self.table_reactions.isSortingEnabled()
        self.table_reactions.setSortingEnabled(False)
        item = self.table_reactions.item(0, 0)
        item.setText(_translate("ADTC_window", "2", None))
        item = self.table_reactions.item(0, 1)
        item.setText(_translate("ADTC_window", "3", None))
        item = self.table_reactions.item(0, 2)
        item.setText(_translate("ADTC_window", "0.38", None))
        item = self.table_reactions.item(0, 4)
        item.setText(_translate("ADTC_window", "9.03e5", None))
        item = self.table_reactions.item(0, 5)
        item.setText(_translate("ADTC_window", "1.055e5", None))
        item = self.table_reactions.item(0, 6)
        item.setText(_translate("ADTC_window", "1.8", None))
        item = self.table_reactions.item(0, 7)
        item.setText(_translate("ADTC_window", "0.0", None))
        item = self.table_reactions.item(1, 0)
        item.setText(_translate("ADTC_window", "1", None))
        item = self.table_reactions.item(1, 2)
        item.setText(_translate("ADTC_window", "0", None))
        item = self.table_reactions.item(1, 4)
        item.setText(_translate("ADTC_window", "2.0e5", None))
        item = self.table_reactions.item(1, 5)
        item.setText(_translate("ADTC_window", "1.677e5", None))
        item = self.table_reactions.item(1, 6)
        item.setText(_translate("ADTC_window", "1.0", None))
        item = self.table_reactions.item(1, 7)
        item.setText(_translate("ADTC_window", "0.0", None))
        item = self.table_reactions.item(2, 0)
        item.setText(_translate("ADTC_window", "3", None))
        item = self.table_reactions.item(2, 2)
        item.setText(_translate("ADTC_window", "0", None))
        item = self.table_reactions.item(2, 4)
        item.setText(_translate("ADTC_window", "5.62e10", None))
        item = self.table_reactions.item(2, 5)
        item.setText(_translate("ADTC_window", "2.033e5", None))
        item = self.table_reactions.item(2, 6)
        item.setText(_translate("ADTC_window", "1.58", None))
        item = self.table_reactions.item(2, 7)
        item.setText(_translate("ADTC_window", "0.0", None))
        self.table_reactions.setSortingEnabled(__sortingEnabled)
        self.label_29.setText(_translate("ADTC_window", "Optimization method", None))
        self.combo_optim_method.setItemText(0, _translate("ADTC_window", "Simplex (Nelder-Mead)", None))
        self.combo_optim_method.setItemText(1, _translate("ADTC_window", "Bounded Quasi-Newton (L-BFGS-B)", None))
        self.combo_optim_method.setItemText(2, _translate("ADTC_window", "Stochastic + Quasi-Newton (Basin-Hopping)", None))
        self.combo_optim_method.setItemText(3, _translate("ADTC_window", "Stochastic + Bounded Quasi-Newton (Basin-Hopping)", None))
        self.check_heat_diffusion.setText(_translate("ADTC_window", "Heat transfer Effects", None))
        self.line_sample_size.setText(_translate("ADTC_window", "5", None))
        self.label_23.setText(_translate("ADTC_window", "Diffusivity", None))
        self.label_25.setText(_translate("ADTC_window", "Sample size", None))
        self.label_26.setText(_translate("ADTC_window", "mm", None))
        self.label_24.setText(_translate("ADTC_window", "m2/s", None))
        self.line_diffusivity.setText(_translate("ADTC_window", "1.0e-7", None))
        self.push_reset_values.setText(_translate("ADTC_window", "Reset values", None))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tga_fitting), _translate("ADTC_window", "TGA fitting", None))
        self.combo_atmo_tga_simu.setItemText(0, _translate("ADTC_window", "Air", None))
        self.combo_atmo_tga_simu.setItemText(1, _translate("ADTC_window", "N2", None))
        self.label_20.setText(_translate("ADTC_window", "Atmosphere", None))
        self.checkBox_simulate_constituents.setText(_translate("ADTC_window", "Simulate constituents mass fraction", None))
        self.label.setText(_translate("ADTC_window", "From", None))
        self.label_2.setText(_translate("ADTC_window", "K To", None))
        self.label_17.setText(_translate("ADTC_window", "K with", None))
        self.label_18.setText(_translate("ADTC_window", "curves", None))
        self.label_21.setText(_translate("ADTC_window", "Duration", None))
        self.line_tga_duration.setText(_translate("ADTC_window", "6", None))
        self.label_22.setText(_translate("ADTC_window", "hours", None))
        self.label_14.setText(_translate("ADTC_window", "From", None))
        self.label_15.setText(_translate("ADTC_window", "K/min To", None))
        self.label_16.setText(_translate("ADTC_window", "K/min with", None))
        self.label_19.setText(_translate("ADTC_window", "curves (T0 = 293K)", None))
        self.label_27.setText(_translate("ADTC_window", "Tmax", None))
        self.line_tga_Tmax.setText(_translate("ADTC_window", "1200", None))
        self.label_28.setText(_translate("ADTC_window", "K", None))
        self.constant_beta_radio.setText(_translate("ADTC_window", "Constant heating rate", None))
        self.isothermal_radio.setText(_translate("ADTC_window", "Isothermal", None))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), _translate("ADTC_window", "TGA simulation", None))
        self.menuFichier.setTitle(_translate("ADTC_window", "File", None))
        self.menuHelp.setTitle(_translate("ADTC_window", "Help", None))
        self.menuSettings.setTitle(_translate("ADTC_window", "Settings", None))
        self.menuPlot_style.setTitle(_translate("ADTC_window", "Plot style", None))
        self.menuLegend_location.setTitle(_translate("ADTC_window", "Legend location", None))
        self.menuDisplay.setTitle(_translate("ADTC_window", "Display", None))
        self.menuTools.setTitle(_translate("ADTC_window", "Tools", None))
        self.toolbar_file.setWindowTitle(_translate("ADTC_window", "File", None))
        self.dockWidget_plot_zone.setWindowTitle(_translate("ADTC_window", "Plot zone", None))
        self.dockWidget_database.setWindowTitle(_translate("ADTC_window", "TGA/DSC Database", None))
        item = self.database_widget.verticalHeaderItem(0)
        item.setText(_translate("ADTC_window", "1", None))
        item = self.database_widget.horizontalHeaderItem(0)
        item.setText(_translate("ADTC_window", "ID", None))
        item = self.database_widget.horizontalHeaderItem(1)
        item.setText(_translate("ADTC_window", "Material", None))
        item = self.database_widget.horizontalHeaderItem(2)
        item.setText(_translate("ADTC_window", "Blank ID", None))
        item = self.database_widget.horizontalHeaderItem(3)
        item.setText(_translate("ADTC_window", "Init. mass [mg]", None))
        item = self.database_widget.horizontalHeaderItem(4)
        item.setText(_translate("ADTC_window", "Method", None))
        item = self.database_widget.horizontalHeaderItem(5)
        item.setText(_translate("ADTC_window", "Atmo", None))
        item = self.database_widget.horizontalHeaderItem(6)
        item.setText(_translate("ADTC_window", "Heat. rate [K/min]", None))
        item = self.database_widget.horizontalHeaderItem(7)
        item.setText(_translate("ADTC_window", "Gas rate [mL/min]", None))
        item = self.database_widget.horizontalHeaderItem(8)
        item.setText(_translate("ADTC_window", "Strat.", None))
        item = self.database_widget.horizontalHeaderItem(9)
        item.setText(_translate("ADTC_window", "Date", None))
        item = self.database_widget.horizontalHeaderItem(10)
        item.setText(_translate("ADTC_window", "Time", None))
        item = self.database_widget.horizontalHeaderItem(11)
        item.setText(_translate("ADTC_window", "Op.", None))
        item = self.database_widget.horizontalHeaderItem(12)
        item.setText(_translate("ADTC_window", "Position", None))
        item = self.database_widget.horizontalHeaderItem(13)
        item.setText(_translate("ADTC_window", "Crucible", None))
        item = self.database_widget.horizontalHeaderItem(14)
        item.setText(_translate("ADTC_window", "Archimede comp.", None))
        item = self.database_widget.horizontalHeaderItem(15)
        item.setText(_translate("ADTC_window", "Comments", None))
        self.actionOpen_database.setText(_translate("ADTC_window", "Open database...", None))
        self.actionOpen_database.setShortcut(_translate("ADTC_window", "Ctrl+O", None))
        self.actionExit.setText(_translate("ADTC_window", "Exit", None))
        self.actionReport_bug.setText(_translate("ADTC_window", "Report bug...", None))
        self.actionAbout_Adethec.setText(_translate("ADTC_window", "About Adethec", None))
        self.actionPlot.setText(_translate("ADTC_window", "Plot", None))
        self.actionPlot.setShortcut(_translate("ADTC_window", "Ctrl+R", None))
        self.actionClassic.setText(_translate("ADTC_window", "Classic", None))
        self.actionBlack_White.setText(_translate("ADTC_window", "Black", None))
        self.action538.setText(_translate("ADTC_window", "538", None))
        self.actionTop_Right.setText(_translate("ADTC_window", "Top Right", None))
        self.actionTop_Left.setText(_translate("ADTC_window", "Top Left", None))
        self.actionBottom_Right.setText(_translate("ADTC_window", "Bottom Right", None))
        self.actionBottom_Left.setText(_translate("ADTC_window", "Bottom Left", None))
        self.action_Best.setText(_translate("ADTC_window", " Best", None))
        self.actionIntegrate_DSC.setText(_translate("ADTC_window", "Integrate DSC", None))
        self.actionIntegrate_DSC.setShortcut(_translate("ADTC_window", "Ctrl+I", None))
        self.actionDisplay_database.setText(_translate("ADTC_window", "Database", None))
        self.actionDisplay_plot_zone.setText(_translate("ADTC_window", "Plot zone", None))
        self.actionTGA_fitting.setText(_translate("ADTC_window", "Fit TGA", None))
        self.actionTGA_fitting.setShortcut(_translate("ADTC_window", "Ctrl+F", None))
        self.actionTGA_integrate.setText(_translate("ADTC_window", "Integrate TGA", None))
        self.actionTGA_integrate.setShortcut(_translate("ADTC_window", "Ctrl+D", None))
        self.actionTGA_simulate.setText(_translate("ADTC_window", "Simulate TGA", None))
        self.actionReload_database.setText(_translate("ADTC_window", "Reload database", None))
        self.actionPreferences.setText(_translate("ADTC_window", "Preferences", None))
        self.actionExport_HDF5.setText(_translate("ADTC_window", "Export HDF5", None))
        self.actionExport_HDF5.setToolTip(_translate("ADTC_window", "Export plot and configuration to HDF5", None))
        self.actionImport_HDF5.setText(_translate("ADTC_window", "Import HDF5", None))
        self.actionImport_HDF5.setToolTip(_translate("ADTC_window", "Import plot and configuration from HDF5", None))
        self.actionHelp.setText(_translate("ADTC_window", "Help...", None))
        self.actionHelp.setShortcut(_translate("ADTC_window", "F1", None))

import icons_rc
